Page MenuHomePhabricator

Convert Special:PrefixIndex to OOUI
Closed, ResolvedPublic

Description

Could use HTMLForm, and the namespace selector looks like the one on Special:AllPages (T117724), with an additional "Strip prefix in list" checkbox, so probably share one HTMLForm element.

BeforeAfter
enwiki

Event Timeline

Florian created this task.Nov 4 2015, 5:08 PM
Florian raised the priority of this task from to Normal.
Florian updated the task description. (Show Details)
Florian added a project: UI-Standardization.

Change 293908 had a related patch set uploaded (by Haritha28):
Convert Special:PrefixIndex to OOUI

https://gerrit.wikimedia.org/r/293908

Change 293908 abandoned by Haritha28:
Convert Special:PrefixIndex to OOUI

Reason:
Patch dependency error

https://gerrit.wikimedia.org/r/293908

Change 293908 restored by Haritha28:
Convert Special:PrefixIndex to OOUI

https://gerrit.wikimedia.org/r/293908

Change 293908 abandoned by Haritha28:
Convert Special:PrefixIndex to OOUI

Reason:
Another patch was pushed along with the patch.

https://gerrit.wikimedia.org/r/293908

Change 312265 had a related patch set uploaded (by Haritha28):
Convert SpecialPrefixIndex to OOUI

https://gerrit.wikimedia.org/r/312265

Change 421784 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/core@master] Convert SpecialPrefixIndex to HTML form

https://gerrit.wikimedia.org/r/421784

Change 421785 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/core@master] Convert SpecialPrefixIndex to HTML form

https://gerrit.wikimedia.org/r/421785

Change 421785 abandoned by Gopavasanth:
Convert SpecialPrefixIndex to HTML form

https://gerrit.wikimedia.org/r/421785

Change 421787 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/core@master] Convert SpecialPrefixIndex to HTML form

https://gerrit.wikimedia.org/r/421787

Change 421784 abandoned by Gopavasanth:
Convert SpecialPrefixIndex to HTML form

https://gerrit.wikimedia.org/r/421784

Change 421785 restored by Gopavasanth:
Convert SpecialPrefixIndex to HTML form

https://gerrit.wikimedia.org/r/421785

Change 421785 abandoned by Gopavasanth:
Convert SpecialPrefixIndex to HTML form

https://gerrit.wikimedia.org/r/421785

Change 421787 abandoned by VolkerE:
Convert SpecialPrefixIndex to HTML form

Reason:
Abandoned for I98cdfb69d11dee0dd1ac2d0d862235f2e53d85d9

https://gerrit.wikimedia.org/r/421787

Volker_E updated the task description. (Show Details)Apr 10 2018, 5:31 AM

Change 312265 merged by jenkins-bot:
[mediawiki/core@master] Convert SpecialPrefixIndex to class HTMLForm

https://gerrit.wikimedia.org/r/312265

Change 426842 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] Special:PrefixIndex: Convert to HTMLForm

https://gerrit.wikimedia.org/r/426842

Change 426842 merged by jenkins-bot:
[mediawiki/core@master] Special:PrefixIndex: Convert to HTMLForm

https://gerrit.wikimedia.org/r/426842

Gopavasanth updated the task description. (Show Details)Apr 21 2018, 1:15 PM

Change 428062 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/core@master] Convert Special:PrefixIndex to OOUI

https://gerrit.wikimedia.org/r/428062

Gopavasanth added a subscriber: Haritha28.
Volker_E updated the task description. (Show Details)Apr 21 2018, 8:45 PM

Change 428062 merged by jenkins-bot:
[mediawiki/core@master] Special:PrefixIndex: Convert to OOUI

https://gerrit.wikimedia.org/r/428062

Gopavasanth closed this task as Resolved.May 18 2018, 2:03 PM
Gopavasanth removed a project: Patch-For-Review.